Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::DrawArrayLengths Class Reference

Inheritance diagram for osg::DrawArrayLengths:

[legend]
List of all members.

## Public Types
typedef std::vector< GLsizei > | vector_type
## Public Member Functions
| DrawArrayLengths (GLenum mode=0)
| DrawArrayLengths (const DrawArrayLengths &dal, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| DrawArrayLengths (GLenum mode, GLint first, unsigned int no, GLsizei *ptr)
| DrawArrayLengths (GLenum mode, GLint first, unsigned int no)
| DrawArrayLengths (GLenum mode, GLint first)
virtual Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual Object * | clone (const CopyOp &copyop) const
| Clone an object, with Object* return type.
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
void | setFirst (GLint first)
GLint | getFirst () const
virtual void | draw (State &state, bool useVertexBufferObjects) const
virtual void | accept (PrimitiveFunctor &functor) const
virtual void | accept (PrimitiveIndexFunctor &functor) const
virtual unsigned int | getNumIndices () const
virtual unsigned int | index (unsigned int pos) const
virtual void | offsetIndices (int offset)
virtual unsigned int | getNumPrimitives () const
## Protected Member Functions
virtual | ~DrawArrayLengths ()
## Protected Attributes
GLint | _first

## Member Typedef Documentation

typedef std::vector<GLsizei> osg::DrawArrayLengths::vector_type

## Constructor & Destructor Documentation

osg::DrawArrayLengths::DrawArrayLengths | ( | GLenum | mode = 0 | ) | `[inline]`

osg::DrawArrayLengths::DrawArrayLengths | ( | const DrawArrayLengths & | dal,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

osg::DrawArrayLengths::DrawArrayLengths | ( | GLenum | mode,
|  | GLint | first,
|  | unsigned int | no,
|  | GLsizei * | ptr
| ) | `[inline]`

osg::DrawArrayLengths::DrawArrayLengths | ( | GLenum | mode,
|  | GLint | first,
|  | unsigned int | no
| ) | `[inline]`

osg::DrawArrayLengths::DrawArrayLengths | ( | GLenum | mode,
|  | GLint | first
| ) | `[inline]`

virtual osg::DrawArrayLengths::~DrawArrayLengths | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void osg::DrawArrayLengths::accept | ( | PrimitiveIndexFunctor & | functor | ) | const`[virtual]`

| Implements osg::PrimitiveSet.

virtual void osg::DrawArrayLengths::accept | ( | PrimitiveFunctor & | functor | ) | const`[virtual]`

| Implements osg::PrimitiveSet.

virtual const char* osg::DrawArrayLengths::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Reimplemented from osg::PrimitiveSet.

virtual Object* osg::DrawArrayLengths::clone | ( | const CopyOp & | copyop | ) | const`[inline, virtual]`

| Clone an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual Object* osg::DrawArrayLengths::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual void osg::DrawArrayLengths::draw | ( | State & | state,
|  | bool | useVertexBufferObjects
| ) | const`[virtual]`

| Implements osg::PrimitiveSet.

GLint osg::DrawArrayLengths::getFirst | ( |  | ) | const`[inline]`

virtual unsigned int osg::DrawArrayLengths::getNumIndices | ( |  | ) | const`[virtual]`

| Implements osg::PrimitiveSet.

virtual unsigned int osg::DrawArrayLengths::getNumPrimitives | ( |  | ) | const`[inline, virtual]`

| Reimplemented from osg::PrimitiveSet.

virtual unsigned int osg::DrawArrayLengths::index | ( | unsigned int | pos | ) | const`[inline, virtual]`

| Implements osg::PrimitiveSet.

virtual bool osg::DrawArrayLengths::isSameKindAs | ( | const Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osg::PrimitiveSet.

virtual const char* osg::DrawArrayLengths::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Reimplemented from osg::PrimitiveSet.

virtual void osg::DrawArrayLengths::offsetIndices | ( | int | offset | ) | `[inline, virtual]`

| Implements osg::PrimitiveSet.

void osg::DrawArrayLengths::setFirst | ( | GLint | first | ) | `[inline]`

## Member Data Documentation

GLint osg::DrawArrayLengths::_first`[protected]`

The documentation for this class was generated from the following file:

- PrimitiveSet